summaryrefslogtreecommitdiffstats
path: root/libraries/wxGTK
diff options
context:
space:
mode:
author Marc-Andre Moreau2010-05-11 14:56:26 +0200
committer Robby Workman2010-05-11 14:56:26 +0200
commita48fedc767c3d8f729ba75d76e273a4929183df9 (patch)
tree2d4ec65cefa1d605a7ae0d124b2a5863a4c92de6 /libraries/wxGTK
parent2f385cc3084b7dec224a3a99dec705633278d6bc (diff)
downloadslackbuilds-a48fedc767c3d8f729ba75d76e273a4929183df9.tar.gz
libraries/wxGTK: Initial import
Diffstat (limited to 'libraries/wxGTK')
-rw-r--r--libraries/wxGTK/README8
-rw-r--r--libraries/wxGTK/slack-desc11
-rw-r--r--libraries/wxGTK/wxGTK.SlackBuild86
-rw-r--r--libraries/wxGTK/wxGTK.info8
4 files changed, 113 insertions, 0 deletions
diff --git a/libraries/wxGTK/README b/libraries/wxGTK/README
new file mode 100644
index 0000000000..ebe557a613
--- /dev/null
+++ b/libraries/wxGTK/README
@@ -0,0 +1,8 @@
+wxGTK is part of wxWidgets, a cross-platform API for writing GUI
+applications on multiple platforms that still utilize the native
+platform's controls and utilities.
+
+This SlackBuild is meant to be used for compilation of applications
+compatible with the 2.6.x wxWidget releases (aMule, for example).
+This is a unicode shared build by default, but see the build script
+for how to disable that.
diff --git a/libraries/wxGTK/slack-desc b/libraries/wxGTK/slack-desc
new file mode 100644
index 0000000000..52286851e6
--- /dev/null
+++ b/libraries/wxGTK/slack-desc
@@ -0,0 +1,11 @@
+wxGTK: wxGTK 2.6.3, a cross-platform GUI toolkit
+wxGTK:
+wxGTK: wxGTK is part of wxWidgets, a cross-platform API for writing GUI
+wxGTK: applications on multiple platforms that still utilize the native
+wxGTK: platform's controls and utilities.
+wxGTK:
+wxGTK: http://wxwidgets.org
+wxGTK:
+wxGTK:
+wxGTK:
+wxGTK:
diff --git a/libraries/wxGTK/wxGTK.SlackBuild b/libraries/wxGTK/wxGTK.SlackBuild
new file mode 100644
index 0000000000..04248ed5f2
--- /dev/null
+++ b/libraries/wxGTK/wxGTK.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for wxGTK
+
+# Written by Chess Griffin <chess at chessgriffin dot com>
+# with lots of key help from Eric Hameleers and the SBo
+# admins. Thanks for all the help!
+# Update for version 2.6.3 by Marc-Andre Moreau
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=wxGTK
+VERSION=2.6.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-3}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# If you don't want a unicode-enabled build, change to NO or
+# pass UNICODE=NO ./wxGTK.SlackBuild when building
+UNICODE=${UNICODE:-YES}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Set unicode flag as desired by UNICODE variable
+if [ "$UNICODE" = "YES" ]; then
+ _do_unicode="en"
+elif [ "$UNICODE" = "NO" ]; then
+ _do_unicode="dis"
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --enable-shared \
+ --${_do_unicode}able-unicode \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Now let's fix the broken symlink created by the package
+cd $PKG/usr/bin
+ rm wx-config
+ if [ "$UNICODE" = "YES" ]; then
+ ln -s /usr/lib/wx/config/gtk2-unicode-release-2.6 wx-config
+ elif [ "$UNICODE" = "NO" ]; then
+ ln -s /usr/lib/wx/config/gtk2-ansi-release-2.6 wx-config
+ fi
+cd -
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES-GTK.txt CHANGES.txt COPYING.LIB INSTALL.txt LICENCE.txt README-GTK.txt README.txt TODO.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/wxGTK/wxGTK.info b/libraries/wxGTK/wxGTK.info
new file mode 100644
index 0000000000..234e174271
--- /dev/null
+++ b/libraries/wxGTK/wxGTK.info
@@ -0,0 +1,8 @@
+PRGNAM="wxGTK"
+VERSION="2.6.3"
+HOMEPAGE="http://www.wxwidgets.org"
+DOWNLOAD="http://dl.sourceforge.net/wxwindows/wxGTK-2.6.3.tar.gz"
+MD5SUM="3041cad0bbca3bfd6b845d3d63b6e7aa"
+MAINTAINER="Marc-Andre Moreau"
+EMAIL="aghaster@hotmail.com"
+APPROVED="robw810"